Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode.robotinterfaces
Interface IBasicEvents2

All Superinterfaces:
  IBasicEvents

All Known Implementing Classes:
  _AdvancedRadiansRobot, _AdvancedRobot, AdvancedRobot, RateControlRobot, Robot, TeamRobot

    public interface IBasicEvents2

extends IBasicEvents

First extended version of the `IBasicEvents` interface.

Since:
  1.6.1
Author:
  Pavel Savara (original)

Method Summary
`void` | `onBattleEnded(BattleEndedEvent event)` This method is called after end of the battle, even when the battle is aborted.

Methods inherited from interface robocode.robotinterfaces.IBasicEvents
`onBulletHit, onBulletHitBullet, onBulletMissed, onDeath, onHitByBullet, onHitRobot, onHitWall, onRobotDeath, onScannedRobot, onStatus, onWin`

Method Detail

### onBattleEnded

    void onBattleEnded(BattleEndedEvent event)

  This method is called after end of the battle, even when the battle is aborted. You should override it in your robot if you want to be informed of this event.

  Example:

         public void onBattleEnded(BattleEndedEvent event) {
             out.println("The battle has ended");
         }

  Parameters:
    `event` - the battle-ended event set by the game
  See Also:
    `BattleEndedEvent`, `WinEvent`, `DeathEvent`, `Event`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Robocode. All Rights Reserved.